import { ChannelId } from './types';
import { SPECIAL_COLLECTIVE_ID_EXTERNAL } from '../specialities/collective/specialCollectiveId';
import { isFirebaseId } from '../firebase/id/utils';

export const isChannelId = (s: string): s is ChannelId => {
  return s === SPECIAL_COLLECTIVE_ID_EXTERNAL || isFirebaseId(s);
};
export const castChannelId = (s: string): ChannelId => {
  if (!isChannelId(s)) throw new Error(`Not a channel id ${s}`);
  return s;
};
