import { Blog } from './types';
import { z } from 'zod';
export declare const blogBeneficiaryTraitParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>, "many">;
}, "strip", z.ZodTypeAny, {
    admins: import("../user/types").UserIdBrand[];
}, {
    admins: string[];
}>;
export declare const blogListQueryParser: z.ZodObject<z.extendShape<{
    limit: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>>;
}, {
    offset: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>>>;
}>, "strip", z.ZodTypeAny, {
    limit: number;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
}>;
export declare const blogListResultParser: z.ZodEffects<z.ZodArray<z.ZodAny, "many">, Blog[], any[]>;
export declare const blogIdParser: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
export declare const blogGetOneParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").BlogIdBrand;
}, {
    id: import("./id.types").BlogIdBrand;
}>;
export declare const blogGetOneResultParser: z.ZodEffects<z.ZodAny, Blog, any>;
export declare const blogDeleteParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").BlogIdBrand;
}, {
    id: import("./id.types").BlogIdBrand;
}>;
export declare const blogAdminParser: z.ZodString;
export declare const makeBlogAdminsTraitParser: <T1, T extends z.ZodType<T1, z.ZodTypeDef, T1>>(a: T) => z.ZodObject<{
    admins: T;
}, "strip", z.ZodTypeAny, z.objectUtil.addQuestionMarks<{
    admins: T["_output"];
}> extends infer T_1 ? { [k_1 in keyof T_1]: z.objectUtil.addQuestionMarks<{
    admins: T["_output"];
}>[k_1]; } : never, z.objectUtil.addQuestionMarks<{
    admins: T["_input"];
}> extends infer T_2 ? { [k_3 in keyof T_2]: z.objectUtil.addQuestionMarks<{
    admins: T["_input"];
}>[k_3]; } : never>;
export declare const makeBlogAdminsParser: <T extends string, P extends z.ZodType<T, z.ZodTypeDef, T>>(p: P) => z.ZodArray<P, "many">;
export declare const blogAdminsTraitParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    admins: string[];
}, {
    admins: string[];
}>;
export declare const blogCreateInputParser: z.ZodObject<z.extendShape<{
    aboutArtist: z.ZodString;
    artist: z.ZodString;
    artistPicSmall: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    artistPicURL: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    beneficiaryAccepted: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    communityPage: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    coverPicSmall: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    coverPicURL: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    coverPicURLSmall: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    coverResolutions: z.ZodObject<{
        small320: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small800: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small1280: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small1600: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small2000: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    }, "strip", z.ZodTypeAny, {
        small320: string | null;
        small800: string | null;
        small1280: string | null;
        small1600: string | null;
        small2000: string | null;
    }, {
        small320?: string | null | undefined;
        small800?: string | null | undefined;
        small1280?: string | null | undefined;
        small1600?: string | null | undefined;
        small2000?: string | null | undefined;
    }>;
    coverSmall: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    curatorAlpha: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    createdAllowReminder: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    customlink: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    description: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    emailNewSubscribers: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    emailSettings: z.ZodObject<{
        reminderTwo: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        newSub: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        reminderThree: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        reminderFour: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        emailNewSubscriber: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        emailNewSubscriberCollective: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    }, "strip", z.ZodTypeAny, {
        reminderTwo: boolean | null;
        newSub: boolean | null;
        reminderThree: boolean | null;
        reminderFour: boolean | null;
        emailNewSubscriber: boolean | null;
        emailNewSubscriberCollective: boolean | null;
    }, {
        reminderTwo?: boolean | null | undefined;
        newSub?: boolean | null | undefined;
        reminderThree?: boolean | null | undefined;
        reminderFour?: boolean | null | undefined;
        emailNewSubscriber?: boolean | null | undefined;
        emailNewSubscriberCollective?: boolean | null | undefined;
    }>;
    featuredArtists: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodString, string, string>, "many">>;
    founder: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    freetier: z.ZodDefault<z.ZodBoolean>;
    frequency: z.ZodDefault<z.ZodString>;
    launchDraft: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    launched: z.ZodDefault<z.ZodBoolean>;
    linkTitles: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    links: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    paypal: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    'paypal_plan_2.5': z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>;
    paypal_plan_5: z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>;
    paypal_plan_10: z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>;
    paypal_product_id: z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>;
    posts: z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("./id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, import("../collective/types").CollectiveIdBrand | "COMMON 06", string>]>, "many">>;
    price: z.ZodDefault<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>;
    profileResolutions: z.ZodObject<{
        small64: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small128: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small256: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small480: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    }, "strip", z.ZodTypeAny, {
        small64: string | null;
        small128: string | null;
        small256: string | null;
        small480: string | null;
    }, {
        small64?: string | null | undefined;
        small128?: string | null | undefined;
        small256?: string | null | undefined;
        small480?: string | null | undefined;
    }>;
    reminderLaunchSent: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    reverseTitle: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    scheduled: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    show: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    stripeProductID: z.ZodEffects<z.ZodString, import("../stripe/types").StripeProductIdBrand, string>;
    subscribers: z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("./id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, import("../collective/types").CollectiveIdBrand | "COMMON 06", string>]>, "many">>;
    tipButton: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    title: z.ZodDefault<z.ZodString>;
    verified: z.ZodDefault<z.ZodBoolean>;
}, {
    admins: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>, "many">;
}>, "strip", z.ZodTypeAny, {
    aboutArtist: string;
    artist: string;
    artistPicSmall: string | null;
    artistPicURL: string | null;
    beneficiaryAccepted: boolean | null;
    communityPage: boolean | null;
    coverPicSmall: string | null;
    coverPicURL: string | null;
    coverPicURLSmall: string | null;
    coverResolutions: {
        small320: string | null;
        small800: string | null;
        small1280: string | null;
        small1600: string | null;
        small2000: string | null;
    };
    coverSmall: string | null;
    curatorAlpha: boolean | null;
    createdAllowReminder: boolean | null;
    customlink: string | null;
    description: string | null;
    emailNewSubscribers: boolean | null;
    emailSettings: {
        reminderTwo: boolean | null;
        newSub: boolean | null;
        reminderThree: boolean | null;
        reminderFour: boolean | null;
        emailNewSubscriber: boolean | null;
        emailNewSubscriberCollective: boolean | null;
    };
    featuredArtists: string[];
    founder: boolean | null;
    freetier: boolean;
    frequency: string;
    launchDraft: string | null;
    launched: boolean;
    linkTitles: string[];
    links: string[];
    paypal: boolean | null;
    'paypal_plan_2.5': null;
    paypal_plan_5: null;
    paypal_plan_10: null;
    paypal_product_id: null;
    posts: (import("./id.types").BlogIdBrand | import("../collective/types").CollectiveIdBrand | "COMMON 06")[];
    price: number | null;
    profileResolutions: {
        small64: string | null;
        small128: string | null;
        small256: string | null;
        small480: string | null;
    };
    reminderLaunchSent: boolean | null;
    reverseTitle: boolean | null;
    scheduled: boolean | null;
    show: string | null;
    stripeProductID: import("../stripe/types").StripeProductIdBrand;
    subscribers: (import("./id.types").BlogIdBrand | import("../collective/types").CollectiveIdBrand | "COMMON 06")[];
    tipButton: boolean | null;
    title: string;
    verified: boolean;
    admins: import("../user/types").UserIdBrand[];
}, {
    artistPicSmall?: string | null | undefined;
    artistPicURL?: string | null | undefined;
    beneficiaryAccepted?: boolean | null | undefined;
    communityPage?: boolean | null | undefined;
    coverPicSmall?: string | null | undefined;
    coverPicURL?: string | null | undefined;
    coverPicURLSmall?: string | null | undefined;
    coverSmall?: string | null | undefined;
    curatorAlpha?: boolean | null | undefined;
    createdAllowReminder?: boolean | null | undefined;
    customlink?: string | null | undefined;
    description?: string | null | undefined;
    emailNewSubscribers?: boolean | null | undefined;
    featuredArtists?: string[] | undefined;
    founder?: boolean | null | undefined;
    freetier?: boolean | undefined;
    frequency?: string | undefined;
    launchDraft?: string | null | undefined;
    launched?: boolean | undefined;
    linkTitles?: string[] | undefined;
    links?: string[] | undefined;
    paypal?: boolean | null | undefined;
    posts?: string[] | undefined;
    price?: number | null | undefined;
    reminderLaunchSent?: boolean | null | undefined;
    reverseTitle?: boolean | null | undefined;
    scheduled?: boolean | null | undefined;
    show?: string | null | undefined;
    subscribers?: string[] | undefined;
    tipButton?: boolean | null | undefined;
    title?: string | undefined;
    verified?: boolean | undefined;
    aboutArtist: string;
    artist: string;
    coverResolutions: {
        small320?: string | null | undefined;
        small800?: string | null | undefined;
        small1280?: string | null | undefined;
        small1600?: string | null | undefined;
        small2000?: string | null | undefined;
    };
    emailSettings: {
        reminderTwo?: boolean | null | undefined;
        newSub?: boolean | null | undefined;
        reminderThree?: boolean | null | undefined;
        reminderFour?: boolean | null | undefined;
        emailNewSubscriber?: boolean | null | undefined;
        emailNewSubscriberCollective?: boolean | null | undefined;
    };
    'paypal_plan_2.5': null;
    paypal_plan_5: null;
    paypal_plan_10: null;
    paypal_product_id: null;
    profileResolutions: {
        small64?: string | null | undefined;
        small128?: string | null | undefined;
        small256?: string | null | undefined;
        small480?: string | null | undefined;
    };
    stripeProductID: string;
    admins: string[];
}>;
export declare const blogCreateOutputParser: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
export declare type CreateBlogRequest = z.infer<typeof blogCreateInputParser>;
export declare type CreateBlogResponse = z.infer<typeof blogCreateOutputParser>;
export declare const blogUpdateInputParser: z.ZodObject<{
    aboutArtist: z.ZodOptional<z.ZodString>;
    artist: z.ZodOptional<z.ZodString>;
    artistPicSmall: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    artistPicURL: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    beneficiaryAccepted: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    communityPage: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    coverPicSmall: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    coverPicURL: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    coverPicURLSmall: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    coverResolutions: z.ZodOptional<z.ZodObject<{
        small320: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small800: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small1280: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small1600: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small2000: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    }, "strip", z.ZodTypeAny, {
        small320: string | null;
        small800: string | null;
        small1280: string | null;
        small1600: string | null;
        small2000: string | null;
    }, {
        small320?: string | null | undefined;
        small800?: string | null | undefined;
        small1280?: string | null | undefined;
        small1600?: string | null | undefined;
        small2000?: string | null | undefined;
    }>>;
    coverSmall: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    curatorAlpha: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    createdAllowReminder: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    customlink: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    description: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    emailNewSubscribers: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    emailSettings: z.ZodOptional<z.ZodObject<{
        reminderTwo: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        newSub: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        reminderThree: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        reminderFour: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        emailNewSubscriber: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
        emailNewSubscriberCollective: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    }, "strip", z.ZodTypeAny, {
        reminderTwo: boolean | null;
        newSub: boolean | null;
        reminderThree: boolean | null;
        reminderFour: boolean | null;
        emailNewSubscriber: boolean | null;
        emailNewSubscriberCollective: boolean | null;
    }, {
        reminderTwo?: boolean | null | undefined;
        newSub?: boolean | null | undefined;
        reminderThree?: boolean | null | undefined;
        reminderFour?: boolean | null | undefined;
        emailNewSubscriber?: boolean | null | undefined;
        emailNewSubscriberCollective?: boolean | null | undefined;
    }>>;
    featuredArtists: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodString, string, string>, "many">>>;
    founder: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    freetier: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
    frequency: z.ZodOptional<z.ZodDefault<z.ZodString>>;
    launchDraft: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    launched: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
    linkTitles: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodString, "many">>>;
    links: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodString, "many">>>;
    paypal: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    'paypal_plan_2.5': z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>>;
    paypal_plan_5: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>>;
    paypal_plan_10: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>>;
    paypal_product_id: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>>;
    posts: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("./id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, import("../collective/types").CollectiveIdBrand | "COMMON 06", string>]>, "many">>>;
    price: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>>;
    profileResolutions: z.ZodOptional<z.ZodObject<{
        small64: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small128: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small256: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
        small480: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    }, "strip", z.ZodTypeAny, {
        small64: string | null;
        small128: string | null;
        small256: string | null;
        small480: string | null;
    }, {
        small64?: string | null | undefined;
        small128?: string | null | undefined;
        small256?: string | null | undefined;
        small480?: string | null | undefined;
    }>>;
    reminderLaunchSent: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    reverseTitle: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    scheduled: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    show: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>>;
    stripeProductID: z.ZodOptional<z.ZodEffects<z.ZodString, import("../stripe/types").StripeProductIdBrand, string>>;
    subscribers: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("./id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, import("../collective/types").CollectiveIdBrand | "COMMON 06", string>]>, "many">>>;
    tipButton: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>;
    title: z.ZodOptional<z.ZodDefault<z.ZodString>>;
    verified: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
    admins: z.ZodOptional<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>, "many">>;
}, "strip", z.ZodTypeAny, {
    aboutArtist?: string | undefined;
    artist?: string | undefined;
    artistPicSmall?: string | null | undefined;
    artistPicURL?: string | null | undefined;
    beneficiaryAccepted?: boolean | null | undefined;
    communityPage?: boolean | null | undefined;
    coverPicSmall?: string | null | undefined;
    coverPicURL?: string | null | undefined;
    coverPicURLSmall?: string | null | undefined;
    coverResolutions?: {
        small320: string | null;
        small800: string | null;
        small1280: string | null;
        small1600: string | null;
        small2000: string | null;
    } | undefined;
    coverSmall?: string | null | undefined;
    curatorAlpha?: boolean | null | undefined;
    createdAllowReminder?: boolean | null | undefined;
    customlink?: string | null | undefined;
    description?: string | null | undefined;
    emailNewSubscribers?: boolean | null | undefined;
    emailSettings?: {
        reminderTwo: boolean | null;
        newSub: boolean | null;
        reminderThree: boolean | null;
        reminderFour: boolean | null;
        emailNewSubscriber: boolean | null;
        emailNewSubscriberCollective: boolean | null;
    } | undefined;
    featuredArtists?: string[] | undefined;
    founder?: boolean | null | undefined;
    freetier?: boolean | undefined;
    frequency?: string | undefined;
    launchDraft?: string | null | undefined;
    launched?: boolean | undefined;
    linkTitles?: string[] | undefined;
    links?: string[] | undefined;
    paypal?: boolean | null | undefined;
    'paypal_plan_2.5'?: null | undefined;
    paypal_plan_5?: null | undefined;
    paypal_plan_10?: null | undefined;
    paypal_product_id?: null | undefined;
    posts?: (import("./id.types").BlogIdBrand | import("../collective/types").CollectiveIdBrand | "COMMON 06")[] | undefined;
    price?: number | null | undefined;
    profileResolutions?: {
        small64: string | null;
        small128: string | null;
        small256: string | null;
        small480: string | null;
    } | undefined;
    reminderLaunchSent?: boolean | null | undefined;
    reverseTitle?: boolean | null | undefined;
    scheduled?: boolean | null | undefined;
    show?: string | null | undefined;
    stripeProductID?: import("../stripe/types").StripeProductIdBrand | undefined;
    subscribers?: (import("./id.types").BlogIdBrand | import("../collective/types").CollectiveIdBrand | "COMMON 06")[] | undefined;
    tipButton?: boolean | null | undefined;
    title?: string | undefined;
    verified?: boolean | undefined;
    admins?: import("../user/types").UserIdBrand[] | undefined;
}, {
    aboutArtist?: string | undefined;
    artist?: string | undefined;
    artistPicSmall?: string | null | undefined;
    artistPicURL?: string | null | undefined;
    beneficiaryAccepted?: boolean | null | undefined;
    communityPage?: boolean | null | undefined;
    coverPicSmall?: string | null | undefined;
    coverPicURL?: string | null | undefined;
    coverPicURLSmall?: string | null | undefined;
    coverResolutions?: {
        small320?: string | null | undefined;
        small800?: string | null | undefined;
        small1280?: string | null | undefined;
        small1600?: string | null | undefined;
        small2000?: string | null | undefined;
    } | undefined;
    coverSmall?: string | null | undefined;
    curatorAlpha?: boolean | null | undefined;
    createdAllowReminder?: boolean | null | undefined;
    customlink?: string | null | undefined;
    description?: string | null | undefined;
    emailNewSubscribers?: boolean | null | undefined;
    emailSettings?: {
        reminderTwo?: boolean | null | undefined;
        newSub?: boolean | null | undefined;
        reminderThree?: boolean | null | undefined;
        reminderFour?: boolean | null | undefined;
        emailNewSubscriber?: boolean | null | undefined;
        emailNewSubscriberCollective?: boolean | null | undefined;
    } | undefined;
    featuredArtists?: string[] | undefined;
    founder?: boolean | null | undefined;
    freetier?: boolean | undefined;
    frequency?: string | undefined;
    launchDraft?: string | null | undefined;
    launched?: boolean | undefined;
    linkTitles?: string[] | undefined;
    links?: string[] | undefined;
    paypal?: boolean | null | undefined;
    'paypal_plan_2.5'?: null | undefined;
    paypal_plan_5?: null | undefined;
    paypal_plan_10?: null | undefined;
    paypal_product_id?: null | undefined;
    posts?: string[] | undefined;
    price?: number | null | undefined;
    profileResolutions?: {
        small64?: string | null | undefined;
        small128?: string | null | undefined;
        small256?: string | null | undefined;
        small480?: string | null | undefined;
    } | undefined;
    reminderLaunchSent?: boolean | null | undefined;
    reverseTitle?: boolean | null | undefined;
    scheduled?: boolean | null | undefined;
    show?: string | null | undefined;
    stripeProductID?: string | undefined;
    subscribers?: string[] | undefined;
    tipButton?: boolean | null | undefined;
    title?: string | undefined;
    verified?: boolean | undefined;
    admins?: string[] | undefined;
}>;
export declare const blogUpdateParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").BlogIdBrand;
}, {
    id: import("./id.types").BlogIdBrand;
}>;
export declare const blogUpdateResultParser: z.ZodVoid;
