import { z } from 'zod';
export declare const channelListParamsParser: z.ZodObject<z.extendShape<z.extendShape<{
    limit: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>>;
}, {
    offset: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>>>;
}>, {
    adminId: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>]>>;
}>, "strip", z.ZodTypeAny, {
    adminId?: import("../blog/id.types").BlogIdBrand | import("../user/types").UserIdBrand | undefined;
    limit: number;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
    adminId?: string | undefined;
}>;
export declare type ChannelListParams = z.infer<typeof channelListParamsParser>;
export declare const channelIdParser: z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, import("../collective/types").CollectiveIdBrand | "COMMON 06", string>]>;
export declare const channelGetOneParamsParser: z.ZodObject<{
    id: z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, import("../collective/types").CollectiveIdBrand | "COMMON 06", string>]>;
}, "strip", z.ZodTypeAny, {
    id: import("../blog/id.types").BlogIdBrand | import("../collective/types").CollectiveIdBrand | "COMMON 06";
}, {
    id: string;
}>;
export declare type ChannelGetOneParams = z.infer<typeof channelGetOneParamsParser>;
export declare const blogIdTraitParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    id: import("../blog/id.types").BlogIdBrand;
}, {
    id: string;
}>;
export declare const collectiveChannelCreateInput: z.ZodObject<{
    MV: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    admins: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">;
    alias: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    blogs: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">;
    collectiveSupport: z.ZodDefault<z.ZodBoolean>;
    common: z.ZodDefault<z.ZodBoolean>;
    commonBlogs: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">;
    description: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    gofa: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    hq: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    image: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    launched: z.ZodDefault<z.ZodBoolean>;
    location: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    mv: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    name: z.ZodString;
    planetFlyer: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    planetImage: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    planetName: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    planetPosition: z.ZodObject<{
        x: z.ZodDefault<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>;
        y: z.ZodDefault<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>;
    }, "strip", z.ZodTypeAny, {
        x: number | null;
        y: number | null;
    }, {
        x?: number | null | undefined;
        y?: number | null | undefined;
    }>;
    price: z.ZodDefault<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>;
    radio: z.ZodDefault<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>;
    smallImage: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    sourceCollective: z.ZodDefault<z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, import("../collective/types").CollectiveIdBrand | "COMMON 06", string>]>, z.ZodNull]>>;
    stripeProductID: z.ZodEffects<z.ZodString, import("../stripe/types").StripeProductIdBrand, string>;
    subscribers: z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, import("../collective/types").CollectiveIdBrand | "COMMON 06", string>]>, "many">>;
    type: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    updatedBy: z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodNull]>>;
    verified: z.ZodDefault<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    type: string | null;
    description: string | null;
    launched: boolean;
    price: number | null;
    stripeProductID: import("../stripe/types").StripeProductIdBrand;
    subscribers: (import("../blog/id.types").BlogIdBrand | import("../collective/types").CollectiveIdBrand | "COMMON 06")[];
    verified: boolean;
    admins: import("../blog/id.types").BlogIdBrand[];
    MV: string | null;
    alias: string | null;
    blogs: import("../blog/id.types").BlogIdBrand[];
    collectiveSupport: boolean;
    common: boolean;
    commonBlogs: import("../blog/id.types").BlogIdBrand[];
    gofa: boolean | null;
    hq: string | null;
    image: string | null;
    location: string | null;
    mv: string | null;
    name: string;
    planetFlyer: string | null;
    planetImage: string | null;
    planetName: string | null;
    planetPosition: {
        x: number | null;
        y: number | null;
    };
    radio: boolean | null;
    smallImage: string | null;
    sourceCollective: import("../blog/id.types").BlogIdBrand | import("../collective/types").CollectiveIdBrand | "COMMON 06" | null;
    updatedBy: string | null;
}, {
    type?: string | null | undefined;
    description?: string | null | undefined;
    launched?: boolean | undefined;
    price?: number | null | undefined;
    subscribers?: string[] | undefined;
    verified?: boolean | undefined;
    MV?: string | null | undefined;
    alias?: string | null | undefined;
    collectiveSupport?: boolean | undefined;
    common?: boolean | undefined;
    gofa?: boolean | null | undefined;
    hq?: string | null | undefined;
    image?: string | null | undefined;
    location?: string | null | undefined;
    mv?: string | null | undefined;
    planetFlyer?: string | null | undefined;
    planetImage?: string | null | undefined;
    planetName?: string | null | undefined;
    radio?: boolean | null | undefined;
    smallImage?: string | null | undefined;
    sourceCollective?: string | null | undefined;
    updatedBy?: string | null | undefined;
    stripeProductID: string;
    admins: string[];
    blogs: string[];
    commonBlogs: string[];
    name: string;
    planetPosition: {
        x?: number | null | undefined;
        y?: number | null | undefined;
    };
}>;
