import { z } from 'zod';
import { Mixspace } from './types';
export declare const mixspaceListQueryParser: z.ZodObject<z.extendShape<{
    limit: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>>;
}, {
    offset: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>>>;
}>, "strip", z.ZodTypeAny, {
    limit: number;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
}>;
export declare const mixspaceListResultParser: z.ZodEffects<z.ZodArray<z.ZodAny, "many">, Mixspace[], any[]>;
export declare const mixspaceIdParser: z.ZodEffects<z.ZodString, import("./id.types").MixspaceIdBrand, import("./id.types").MixspaceIdBrand>;
export declare const mixspaceGetOneParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").MixspaceIdBrand, import("./id.types").MixspaceIdBrand>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").MixspaceIdBrand;
}, {
    id: import("./id.types").MixspaceIdBrand;
}>;
export declare const mixspaceGetOneResultParser: z.ZodEffects<z.ZodAny, Mixspace, any>;
export declare const mixspaceDeleteParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").MixspaceIdBrand, import("./id.types").MixspaceIdBrand>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").MixspaceIdBrand;
}, {
    id: import("./id.types").MixspaceIdBrand;
}>;
export declare const mixspaceAdminParser: z.ZodString;
export declare const makeMixspaceAdminsParser: <T extends string, P extends z.ZodType<T, z.ZodTypeDef, T>>(p: P) => z.ZodArray<P, "many">;
export declare const makeMixspaceAdminsTraitParser: <T1, T extends z.ZodType<T1, z.ZodTypeDef, T1>>(a: T) => z.ZodObject<{
    admins: T;
}, "strip", z.ZodTypeAny, z.objectUtil.addQuestionMarks<{
    admins: T["_output"];
}> extends infer T_1 ? { [k_1 in keyof T_1]: z.objectUtil.addQuestionMarks<{
    admins: T["_output"];
}>[k_1]; } : never, z.objectUtil.addQuestionMarks<{
    admins: T["_input"];
}> extends infer T_2 ? { [k_3 in keyof T_2]: z.objectUtil.addQuestionMarks<{
    admins: T["_input"];
}>[k_3]; } : never>;
export declare const mixspaceAdminsTraitParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    admins: string[];
}, {
    admins: string[];
}>;
export declare const mixspaceCreateInputParser: z.ZodObject<z.extendShape<{
    admins: z.ZodArray<z.ZodString, "many">;
}, {
    accessThreshold: z.ZodDefault<z.ZodNumber>;
    image: z.ZodEffects<z.ZodString, string, string>;
    items: z.ZodArray<z.ZodObject<{
        edge: z.ZodDefault<z.ZodBoolean>;
        uuid: z.ZodString;
        x: z.ZodNumber;
        y: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }, {
        edge?: boolean | undefined;
        x: number;
        y: number;
        uuid: string;
    }>, "many">;
    paymentWeights: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
    reward: z.ZodObject<{
        active: z.ZodDefault<z.ZodBoolean>;
        assets: z.ZodArray<z.ZodString, "many">;
        price: z.ZodDefault<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        price: number;
        active: boolean;
        assets: string[];
    }, {
        price?: number | undefined;
        active?: boolean | undefined;
        assets: string[];
    }>;
    title: z.ZodEffects<z.ZodString, string, string>;
}>, "strip", z.ZodTypeAny, {
    title: string;
    admins: string[];
    image: string;
    accessThreshold: number;
    items: {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }[];
    paymentWeights: {};
    reward: {
        price: number;
        active: boolean;
        assets: string[];
    };
}, {
    accessThreshold?: number | undefined;
    title: string;
    admins: string[];
    image: string;
    items: {
        edge?: boolean | undefined;
        x: number;
        y: number;
        uuid: string;
    }[];
    paymentWeights: {};
    reward: {
        price?: number | undefined;
        active?: boolean | undefined;
        assets: string[];
    };
}>;
export declare const mixspaceCreateResponseParser: z.ZodEffects<z.ZodAny, import("./id.types").MixspaceIdBrand, any>;
export declare const mixspaceUpdateInputParser: z.ZodObject<{
    admins: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    accessThreshold: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
    image: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    items: z.ZodOptional<z.ZodArray<z.ZodObject<{
        edge: z.ZodDefault<z.ZodBoolean>;
        uuid: z.ZodString;
        x: z.ZodNumber;
        y: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }, {
        edge?: boolean | undefined;
        x: number;
        y: number;
        uuid: string;
    }>, "many">>;
    paymentWeights: z.ZodOptional<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>;
    reward: z.ZodOptional<z.ZodObject<{
        active: z.ZodDefault<z.ZodBoolean>;
        assets: z.ZodArray<z.ZodString, "many">;
        price: z.ZodDefault<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        price: number;
        active: boolean;
        assets: string[];
    }, {
        price?: number | undefined;
        active?: boolean | undefined;
        assets: string[];
    }>>;
    title: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
}, "strip", z.ZodTypeAny, {
    title?: string | undefined;
    admins?: string[] | undefined;
    image?: string | undefined;
    accessThreshold?: number | undefined;
    items?: {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }[] | undefined;
    paymentWeights?: {} | undefined;
    reward?: {
        price: number;
        active: boolean;
        assets: string[];
    } | undefined;
}, {
    title?: string | undefined;
    admins?: string[] | undefined;
    image?: string | undefined;
    accessThreshold?: number | undefined;
    items?: {
        edge?: boolean | undefined;
        x: number;
        y: number;
        uuid: string;
    }[] | undefined;
    paymentWeights?: {} | undefined;
    reward?: {
        price?: number | undefined;
        active?: boolean | undefined;
        assets: string[];
    } | undefined;
}>;
export declare const mixspaceUpdateParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").MixspaceIdBrand, import("./id.types").MixspaceIdBrand>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").MixspaceIdBrand;
}, {
    id: import("./id.types").MixspaceIdBrand;
}>;
