"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mixspaceUpdateParamsParser = exports.mixspaceUpdateInputParser = exports.mixspaceCreateResponseParser = exports.mixspaceCreateInputParser = exports.mixspaceAdminsTraitParser = exports.makeMixspaceAdminsTraitParser = exports.makeMixspaceAdminsParser = exports.mixspaceAdminParser = exports.mixspaceDeleteParamsParser = exports.mixspaceGetOneResultParser = exports.mixspaceGetOneParamsParser = exports.mixspaceIdParser = exports.mixspaceListResultParser = exports.mixspaceListQueryParser = void 0;
const zod_1 = require("zod");
const id_utils_1 = require("./id.utils");
const queryParams_1 = require("../common/parsers/queryParams");
const route_constants_1 = require("./route.constants");
exports.mixspaceListQueryParser = queryParams_1.firestoreListParamsParser;
exports.mixspaceListResultParser = zod_1.z.array(zod_1.z.any()).transform((a) => a);
exports.mixspaceIdParser = zod_1.z.string().refine(id_utils_1.isMixspaceId);
exports.mixspaceGetOneParamsParser = zod_1.z.object({
    [route_constants_1.MIXSPACE_ID_PARAM_NAME]: exports.mixspaceIdParser,
});
exports.mixspaceGetOneResultParser = zod_1.z.any( /* stub */).transform((o) => o);
exports.mixspaceDeleteParamsParser = exports.mixspaceGetOneParamsParser;
exports.mixspaceAdminParser = zod_1.z.string(); // TODO make sense of what we store here
const makeMixspaceAdminsParser = (p) => zod_1.z.array(p);
exports.makeMixspaceAdminsParser = makeMixspaceAdminsParser;
const makeMixspaceAdminsTraitParser = (a) => zod_1.z.object({
    admins: a,
});
exports.makeMixspaceAdminsTraitParser = makeMixspaceAdminsTraitParser;
exports.mixspaceAdminsTraitParser = (0, exports.makeMixspaceAdminsTraitParser)((0, exports.makeMixspaceAdminsParser)(exports.mixspaceAdminParser));
exports.mixspaceCreateInputParser = exports.mixspaceAdminsTraitParser.merge(zod_1.z.object({
    accessThreshold: zod_1.z.number().default(0),
    image: zod_1.z
        .string()
        .url()
        .refine((s) => s.length > 0, {
        message: 'Field Required',
    }),
    items: zod_1.z.array(zod_1.z.object({
        edge: zod_1.z.boolean().default(false),
        uuid: zod_1.z.string(),
        x: zod_1.z.number(),
        y: zod_1.z.number(),
    })),
    paymentWeights: zod_1.z.object({}),
    reward: zod_1.z.object({
        active: zod_1.z.boolean().default(false),
        assets: zod_1.z.array(zod_1.z.string()),
        price: zod_1.z.number().default(0),
    }),
    title: zod_1.z.string().refine((s) => s.length > 0, {
        message: 'Field Required',
    }),
}));
exports.mixspaceCreateResponseParser = zod_1.z.any( /*stub*/).transform((a) => a);
exports.mixspaceUpdateInputParser = exports.mixspaceCreateInputParser.partial();
exports.mixspaceUpdateParamsParser = exports.mixspaceGetOneParamsParser;
