import { z } from 'zod';
export declare const payinMethodOriginIdParser: z.ZodEffects<z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentMethodIdBrand, string>, import("../stripe/types").StripePaymentMethodIdBrand, string>;
export declare const payinMethodOriginTypeParser: z.ZodEnum<["stripe", "paypal"]>;
export declare const payinMethodUpsertResultParser: z.ZodEffects<z.ZodUnion<[z.ZodEffects<z.ZodString, import("../stripe/types").StripeCustomerIdBrand, string>, z.ZodLiteral<"paypal">]>, "paypal" | import("../stripe/types").StripeCustomerIdBrand, string>;
export declare const payinMethodListResultParser: z.ZodArray<z.ZodDiscriminatedUnion<"originType", z.Primitive, z.ZodObject<{
    originType: z.ZodLiteral<"stripe">;
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentMethodIdBrand, string>;
    originData: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    originData?: any;
    originType: "stripe";
    originId: import("../stripe/types").StripePaymentMethodIdBrand;
}, {
    originData?: any;
    originType: "stripe";
    originId: string;
}> | z.ZodObject<{
    originType: z.ZodLiteral<"paypal">;
    originId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    originType: "paypal";
    originId: string;
}, {
    originType: "paypal";
    originId: string;
}>>, "many">;
export declare const payinMethodUpsertParamsParser: z.ZodDiscriminatedUnion<"originType", z.Primitive, z.ZodObject<{
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentMethodIdBrand, string>;
    originType: z.ZodLiteral<"stripe">;
}, "strip", z.ZodTypeAny, {
    originType: "stripe";
    originId: import("../stripe/types").StripePaymentMethodIdBrand;
}, {
    originType: "stripe";
    originId: string;
}> | z.ZodObject<{
    originId: z.ZodString;
    originType: z.ZodLiteral<"paypal">;
}, "strip", z.ZodTypeAny, {
    originType: "paypal";
    originId: string;
}, {
    originType: "paypal";
    originId: string;
}>>;
export declare const payinMethodDeleteParamsParser: z.ZodDiscriminatedUnion<"originType", z.Primitive, z.ZodObject<{
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentMethodIdBrand, string>;
    originType: z.ZodLiteral<"stripe">;
}, "strip", z.ZodTypeAny, {
    originType: "stripe";
    originId: import("../stripe/types").StripePaymentMethodIdBrand;
}, {
    originType: "stripe";
    originId: string;
}> | z.ZodObject<{
    originId: z.ZodString;
    originType: z.ZodLiteral<"paypal">;
}, "strip", z.ZodTypeAny, {
    originType: "paypal";
    originId: string;
}, {
    originType: "paypal";
    originId: string;
}>>;
export declare const payinMethodListQueryParser: z.ZodObject<{
    limit: z.ZodDefault<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    limit: number;
}, {
    limit?: number | undefined;
}>;
