"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.payoutMethodUpsertResultParser = exports.payoutMethodListResultParser = exports.payoutMethodListQueryParser = exports.payoutMethodDeleteParamsParser = exports.payoutMethodUpsertParamsParser = exports.payoutMethodStripeTokenBodyParser = exports.payoutMethodStripeAuthorizeResultParser = void 0;
const zod_1 = require("zod");
const parsers_1 = require("../paymentMethod/parsers");
exports.payoutMethodStripeAuthorizeResultParser = zod_1.z.object({
    stripeConnectUrl: zod_1.z.string().url(),
});
exports.payoutMethodStripeTokenBodyParser = zod_1.z.object({
    state: zod_1.z.string().transform((s) => s),
    code: zod_1.z.string(), // stripe code
});
exports.payoutMethodUpsertParamsParser = parsers_1.paymentMethodCompositeKeyParamsParser;
exports.payoutMethodDeleteParamsParser = parsers_1.paymentMethodCompositeKeyParamsParser; // no offset supported (stripe works on cursors also)
exports.payoutMethodListQueryParser = parsers_1.paymentMethodListLimitParser;
exports.payoutMethodListResultParser = zod_1.z.any(); // TODO
exports.payoutMethodUpsertResultParser = zod_1.z.any(); // TODO
