import { z } from 'zod';
import { payoutMethodStripeAuthorizeResultParser, payoutMethodStripeTokenBodyParser } from './parsers';
import { UserId } from '../user/types';
import { STRIPE_CONNECT_SESSION_SEPARATOR } from './constants';
import { StripeConnectClientId } from '../stripe/types';
import { payoutMethodDeleteParamsParser, payoutMethodListQueryParser, payoutMethodListResultParser, payoutMethodUpsertParamsParser, payoutMethodUpsertResultParser } from './parsers';
export declare type PayoutMethodStripeAuthorizeResult = z.infer<typeof payoutMethodStripeAuthorizeResultParser>;
export declare type StripeConnectAuthSessionString = `${string}${typeof STRIPE_CONNECT_SESSION_SEPARATOR}${UserId}`;
export interface StripeConnectAuthMandatoryParams {
    client_id: StripeConnectClientId;
    state: StripeConnectAuthSessionString;
}
export interface StripeConnectAuthExtraParams {
    'stripe_user[business_type]': 'individual';
    'stripe_user[email]': string;
    'stripe_user[business_name]': 'Currents';
    'stripe_user[business_website]': 'alpha.currents.fm';
    redirect_uri: string;
}
export interface StripeConnectAuthParams extends StripeConnectAuthExtraParams, StripeConnectAuthMandatoryParams {
}
export declare type PayoutMethodStripeTokenBody = z.infer<typeof payoutMethodStripeTokenBodyParser>;
export declare type PayoutMethodUpsertParams = z.infer<typeof payoutMethodUpsertParamsParser>;
export declare type PayoutMethodUpsertResult = z.infer<typeof payoutMethodUpsertResultParser>;
export declare type PayoutMethodListQuery = z.infer<typeof payoutMethodListQueryParser>;
export declare type PayoutMethodListResult = z.infer<typeof payoutMethodListResultParser>;
export declare type PayoutMethodDeleteParams = z.infer<typeof payoutMethodDeleteParamsParser>;
