import { z } from 'zod';
import type { SessionStateString } from '../csrf/types';
import { paymentMethodCompositeKeyParamsParser, paymentMethodListLimitParser } from '../paymentMethod/parsers';

export const payoutMethodStripeAuthorizeResultParser = z.object({
  stripeConnectUrl: z.string().url(),
});
export const payoutMethodStripeTokenBodyParser = z.object({
  state: z.string().transform((s) => s as SessionStateString),
  code: z.string(), // stripe code
});

export const payoutMethodUpsertParamsParser = paymentMethodCompositeKeyParamsParser;
export const payoutMethodDeleteParamsParser = paymentMethodCompositeKeyParamsParser; // no offset supported (stripe works on cursors also)
export const payoutMethodListQueryParser = paymentMethodListLimitParser;

export const payoutMethodListResultParser = z.any(); // TODO
export const payoutMethodUpsertResultParser = z.any(); // TODO
